Bug 238626 - FEATURE REQUEST: LTC34700: 201021: Need support for devices on /sys/bus/ibmebus in HAL
Summary: FEATURE REQUEST: LTC34700: 201021: Need support for devices on /sys/bus/ibmeb...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hal (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Zeuthen
QA Contact: Radek Bíba
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-01 21:09 UTC by Scott Moser
Modified: 2013-03-06 03:50 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0632
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 18:01:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hal-0.5.8.1-ibmebus.patch: patch to support searching /sys/bus/ibmebus (1.97 KB, patch)
2007-05-01 21:11 UTC, Scott Moser
no flags Details | Diff
hal-device log (39.25 KB, text/plain)
2007-08-13 21:25 UTC, IBM Bug Proxy
no flags Details
hal-device log with Galaxy cards (48.04 KB, text/plain)
2007-08-14 20:11 UTC, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0632 normal SHIPPED_LIVE hal bug fix update 2007-10-30 16:24:05 UTC
IBM Linux Technology Center 34700 None None None Never

Description Scott Moser 2007-05-01 21:09:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
'hal-device' currently does not list devices that are attached to the "IBM Ebus", which presents itself in sysfs under /sys/bus/ibmebus.  There is more information in bug 231997.


Version-Release number of selected component (if applicable):
hal-0.5.8.1-19.el5

How reproducible:
Always


Steps to Reproduce:
1. modprobe ib_ehca
2. hal-device


Actual Results:
no devices are listed that are found under /sys/bus/ibmebus

Expected Results:
list the Galaxy card, and possibly other devices attached there.


Additional info:

Comment 1 Scott Moser 2007-05-01 21:11:47 UTC
Created attachment 153895 [details]
hal-0.5.8.1-ibmebus.patch: patch to support searching /sys/bus/ibmebus

Comment 2 Scott Moser 2007-05-02 17:51:28 UTC
Adding "FEATURE REQUEST" to summary per Irina's request.

Comment 3 David Zeuthen 2007-05-31 19:53:14 UTC
Yes, this looks OK to add for 5.1. Adding dev_ack.

Comment 5 John Jarvis 2007-06-01 18:06:26 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux team
for inclusion in a Red Hat Enterprise Linux minor release.   As a result of this
evaluation, Red Hat has tentatively approved inclusion of this feature in the
next Red Hat Enterprise Linux Update minor release.   While it is a goal to
include this enhancement in the next minor release of Red Hat Enterprise Linux,
the enhancement is not yet committed for inclusion in the next minor release
pending the next phase of actual code integration and successful Red Hat and
partner testing.

Comment 6 David Zeuthen 2007-06-25 23:05:59 UTC
Patch is in hal-0.5.8.1-20.el5.

Comment 8 IBM Bug Proxy 2007-08-13 21:20:37 UTC
------- Comment From hien1@us.ibm.com 2007-08-13 17:19 EDT-------
I used JS22 Blade with RHEL5.1 Snapshot1. hal-device recognized eha ethernet
adapters. will attach hal-device output.

Following is part of hal-device to see ibmebus eha cards:

34: udi = '/org/freedesktop/Hal/devices/net_00_1a_64_44_1a_06'
info.udi = '/org/freedesktop/Hal/devices/net_00_1a_64_44_1a_06'  (string)
linux.subsystem = 'net'  (string)
linux.hotplug_type = 2  (0x2)  (int)
net.80203.mac_address = 113351334406  (0x1a64441a06)  (uint64)
info.product = 'Networking Interface'  (string)
net.arp_proto_hw_id = 1  (0x1)  (int)
net.linux.ifindex = 3  (0x3)  (int)
net.address = '00:1a:64:44:1a:06'  (string)
net.interface = 'eth0'  (string)
net.physical_device =
'/org/freedesktop/Hal/devices/ibmebus/lhea_23c00100/ethernet_23e0000'  (string)
info.capabilities = { 'net', 'net.80203' } (string list)
info.category = 'net.80203'  (string)
info.parent =
'/org/freedesktop/Hal/devices/ibmebus/lhea_23c00100/ethernet_23e0000'  (string)
linux.sysfs_path = '/sys/class/net/eth0'  (string)

35: udi = '/org/freedesktop/Hal/devices/ibmebus/lhea_23c00100/ethernet_23e0000'
info.udi =
'/org/freedesktop/Hal/devices/ibmebus/lhea_23c00100/ethernet_23e0000'  (string)
linux.subsystem = 'ibmebus'  (string)
linux.hotplug_type = 1  (0x1)  (int)
ibmebus.devspec = '/lhea@23c00100/ethernet@23e0000'  (string)
info.linux.driver = 'ehea'  (string)
info.parent = '/org/freedesktop/Hal/devices/ibmebus/lhea_23c0010'  (string)
info.bus = 'ibmebus'  (string)
linux.sysfs_path_device = '/sys/devices/ibmebus/78A5.001.WIH0176-P1/port0'
(string)
linux.sysfs_path = '/sys/devices/ibmebus/78A5.001.WIH0176-P1/port0'  (string)

36: udi = '/org/freedesktop/Hal/devices/net_00_1a_64_44_1a_07'
info.udi = '/org/freedesktop/Hal/devices/net_00_1a_64_44_1a_07'  (string)
linux.subsystem = 'net'  (string)
linux.hotplug_type = 2  (0x2)  (int)
net.80203.mac_address = 113351334407  (0x1a64441a07)  (uint64)
info.product = 'Networking Interface'  (string)
net.arp_proto_hw_id = 1  (0x1)  (int)
net.linux.ifindex = 4  (0x4)  (int)
net.address = '00:1a:64:44:1a:07'  (string)
net.interface = 'eth1'  (string)
net.physical_device =
'/org/freedesktop/Hal/devices/ibmebus/lhea_23c00100/ethernet_23e0010'  (string)
info.capabilities = { 'net', 'net.80203' } (string list)
info.category = 'net.80203'  (string)
info.parent =
'/org/freedesktop/Hal/devices/ibmebus/lhea_23c00100/ethernet_23e0010'  (string)
linux.sysfs_path = '/sys/class/net/eth1'  (string)

37: udi = '/org/freedesktop/Hal/devices/ibmebus/lhea_23c00100/ethernet_23e0010'
info.udi =
'/org/freedesktop/Hal/devices/ibmebus/lhea_23c00100/ethernet_23e0010'  (string)
linux.subsystem = 'ibmebus'  (string)
linux.hotplug_type = 1  (0x1)  (int)
ibmebus.devspec = '/lhea@23c00100/ethernet@23e0010'  (string)
info.linux.driver = 'ehea'  (string)
info.parent = '/org/freedesktop/Hal/devices/ibmebus/lhea_23c0010'  (string)
info.bus = 'ibmebus'  (string)
linux.sysfs_path_device = '/sys/devices/ibmebus/78A5.001.WIH0176-P1/port1'
(string)
linux.sysfs_path = '/sys/devices/ibmebus/78A5.001.WIH0176-P1/port1'  (string)

38: udi = '/org/freedesktop/Hal/devices/ibmebus/lhea_23c0010'
info.udi = '/org/freedesktop/Hal/devices/ibmebus/lhea_23c0010'  (string)
linux.subsystem = 'ibmebus'  (string)
linux.hotplug_type = 1  (0x1)  (int)
ibmebus.devspec = '/lhea@23c0010'  (string)
info.linux.driver = 'ehea'  (string)
info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
info.bus = 'ibmebus'  (string)
linux.sysfs_path_device = '/sys/devices/ibmebus/78A5.001.WIH0176-P1'  (string)
linux.sysfs_path = '/sys/devices/ibmebus/78A5.001.WIH0176-P1'  (string)

Comment 9 IBM Bug Proxy 2007-08-13 21:25:49 UTC
Created attachment 161233 [details]
hal-device log

Comment 10 IBM Bug Proxy 2007-08-14 20:11:08 UTC
------- Comment From hien1@us.ibm.com 2007-08-14 16:09 EDT-------
RHEL5.1 hal-device recognizes Galaxy adapter (HCA) on p5 595 machine.
See attachment of hal-device-galaxy.log

Also HTS-5.0-48 works fine to see Galaxy IB adapters:

[root@giralp2 HTS]# hts print
loaded configuration /var/hts/config.xml
loaded plan /var/hts/plan.xml

Test Plan:
----------------------------------------------------------------
usb
network    ib0
net_00_00_00_16_fe_80_00_00_00_00_00_00_00_02_55_00_10_00_65_01
network    ib1
net_00_00_00_17_fe_80_00_00_00_00_00_00_00_02_55_00_10_00_65_41
network    eth0       net_b2_a2_e8_b9_ba_3f
memory
core
storage    sda        storage_serial_35000cca002f70b05
storage    sdb        storage_serial_35000cca002eee434
storage    sdc        storage_serial_35000cca00684407c
storage    sdd        storage_serial_35000cca002f46515
storage    sde        storage_serial_35000cca006822548
info

Comment 11 IBM Bug Proxy 2007-08-14 20:11:23 UTC
Created attachment 161306 [details]
hal-device log with Galaxy cards

Comment 12 IBM Bug Proxy 2007-08-28 14:22:11 UTC
------- Comment From sglass@us.ibm.com 2007-08-28 10:16 EDT-------
This has been verified in devtrack, closing as verified here

Comment 13 Cameron Meadors 2007-09-25 15:36:06 UTC
Marking VERIFIED per comment #12

Comment 15 errata-xmlrpc 2007-11-07 18:01:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0632.html



Note You need to log in before you can comment on or make changes to this bug.